## org.apache.commons.collections.functors
Class InvokerTransformer

    java.lang.Object
      org.apache.commons.collections.functors.InvokerTransformer

All Implemented Interfaces:
  java.io.Serializable, Transformer

    public class InvokerTransformer

extends java.lang.Object
implements Transformer, java.io.Serializable

Transformer implementation that creates a new object instance by reflection.

Since:
  Commons Collections 3.0
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Stephen Colebourne
See Also:
  Serialized Form

Constructor Summary
`InvokerTransformer(java.lang.String methodName, java.lang.Class[] paramTypes, java.lang.Object[] args)` Constructor that performs no validation.

Method Summary
`static Transformer` `getInstance(java.lang.String methodName)` Gets an instance of this transformer calling a specific method with no arguments.
`static Transformer` `getInstance(java.lang.String methodName, java.lang.Class[] paramTypes, java.lang.Object[] args)` Gets an instance of this transformer calling a specific method with specific values.
`java.lang.Object` `transform(java.lang.Object input)` Transforms the input to result by invoking a method on the input.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InvokerTransformer

    public InvokerTransformer(java.lang.String methodName,
                              java.lang.Class[] paramTypes,
                              java.lang.Object[] args)

  Constructor that performs no validation. Use `getInstance` if you want that.

  Parameters:
    `methodName` - the method to call
    `paramTypes` - the constructor parameter types, not cloned
    `args` - the constructor arguments, not cloned

Method Detail

### getInstance

    public static Transformer getInstance(java.lang.String methodName)

  Gets an instance of this transformer calling a specific method with no arguments.

  Parameters:
    `methodName` - the method name to call
  Returns:
    an invoker transformer
  Since:
    Commons Collections 3.1

### getInstance

    public static Transformer getInstance(java.lang.String methodName,
                                          java.lang.Class[] paramTypes,
                                          java.lang.Object[] args)

  Gets an instance of this transformer calling a specific method with specific values.

  Parameters:
    `methodName` - the method name to call
    `paramTypes` - the parameter types of the method
    `args` - the arguments to pass to the method
  Returns:
    an invoker transformer

### transform

    public java.lang.Object transform(java.lang.Object input)

  Transforms the input to result by invoking a method on the input.

  Specified by:
    `transform` in interface `Transformer`
  Parameters:
    `input` - the input object to transform
  Returns:
    the transformed result, null if null input

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.